Bug#910421: murasaki-mpi: broken symlinks: /usr/share/man/man1/*-mpi.1.gz -> *.1.gz

2018-10-05 Thread Andreas Beckmann
Package: murasaki-mpi Version: 1.68.6-7 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 2m14.5s ERROR: FAIL: Broken symlinks:

Bug#910420: prometheus-alertmanager: broken symlinks: /usr/share/prometheus/alertmanager/ui/lib/* -> ../../../../javascript/*

2018-10-05 Thread Andreas Beckmann
Package: prometheus-alertmanager Version: 0.15.1+ds-1 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m29.5s ERROR: FAIL: Broken

Bug#910419: pyfr-doc: broken symlink: /usr/share/doc/pyfr-doc/html/_static/MathJax.js -> ../../../../javascript/mathjax/MathJax.js

2018-10-05 Thread Andreas Beckmann
Package: pyfr-doc Version: 1.5.0-2 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m30.3s ERROR: FAIL: Broken symlinks:

Bug#910418: python-pyregion-doc: broken symlink:

2018-10-05 Thread Andreas Beckmann
Package: python-pyregion-doc Version: 2.0-4 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m29.6s ERROR: FAIL: Broken symlinks:

Bug#909706: epcr: Please provide autopkgtest

2018-10-05 Thread Andreas Tille
Hi Manas, On Fri, Oct 05, 2018 at 09:22:45PM +0530, Manas Kashyap wrote: > I have tried to add autopkgtest to epcr package for the first time (as per > Andreas instructed how to do it) , so please review it and give your view . Do you have some not yet pushed changes to replace

Bug#910417: python3-fabulous-doc: broken symlink: /usr/share/doc/python3-fabulous-doc/rst -> html/_sources

2018-10-05 Thread Andreas Beckmann
Package: python3-fabulous-doc Version: 0.3.0+dfsg1-4 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m29.0s ERROR: FAIL: Broken

Bug#910416: ruby-gettext-i18n-rails-js: broken symlink: /usr/share/rubygems-integration/all/gems/gettext_i18n_rails_js-1.3.0/vendor/assets/javascripts/gettext/jed.js -> vendor/assets/javascripts/gette

2018-10-05 Thread Andreas Beckmann
Package: ruby-gettext-i18n-rails-js Version: 1.3.0+dfsg-2 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m38.7s ERROR: FAIL:

Bug#910347: Acknowledgement (konsole: scaling factor causes tearing)

2018-10-05 Thread ghost
Control: tag -1 + confirmed upstream Control: forwarded -1 + https://bugs.kde.org/show_bug.cgi?id=373232 found it on upstream's bug tracker... Although it's marked resolved for now, It's likely to be reopened as there are comments saying the fix is not working.

Bug#910415: sagetex-doc: broken symlink: /usr/share/texmf/doc/latex/sagetex/sagetex.pdf -> ../../../../doc/sagetex/sagetex.pdf

2018-10-05 Thread Andreas Beckmann
Package: sagetex-doc Version: 3.0+ds-6 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m28.8s ERROR: FAIL: Broken symlinks:

Bug#910414: ssake-examples: broken symlink: /usr/share/doc/ssake/examples/runSSAKE.sh -> ../tools/runSSAKE.sh

2018-10-05 Thread Andreas Beckmann
Package: ssake-examples Version: 4.0-1 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m29.0s ERROR: FAIL: Broken symlinks:

Bug#910413: zabbix-frontend-php: broken symlink: /usr/share/zabbix/fonts/DejaVuSans.ttf -> ../../fonts/truetype/ttf-dejavu/DejaVuSans.ttf

2018-10-05 Thread Andreas Beckmann
Package: zabbix-frontend-php Version: 1:4.0.0+dfsg-1 Severity: normal User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 1m14.5s ERROR: FAIL: Broken

Bug#910412: eric: broken symlink: /usr/share/eric/modules/WebBrowser/data/javascript/jquery-ui.js -> ../../../../../javascript/jquery/jquery-ui.js

2018-10-05 Thread Andreas Beckmann
Package: eric Version: 18.10+ds1-1 Severity: serious User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 1m30.6s ERROR: FAIL: Broken symlinks:

Bug#910411: python3-django-hyperkitty: broken symlink: /usr/share/doc/python-django-hyperkitty/rst -> html/_sources

2018-10-05 Thread Andreas Beckmann
Package: python3-django-hyperkitty Version: 1.2.1-3 User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 2m8.7s ERROR: FAIL: Broken symlinks:

Bug#910410: zulupolkit: doesn't seem to be used by the zulucrypt package

2018-10-05 Thread ghost
Package: zulupolkit Version: 5.4.0-2 Severity: important Dear Maintainer, According to upstream [0], the zulupolkit is used to make zulucrypt work without requiring root password at start up, and is the cited reason that upstream still maintains a binary package for debian. [1]

Bug#910400: mysqli stopped connecting to MySQL servers using caching_sha2_password

2018-10-05 Thread Ondřej Surý
Control: severity -1 important That’s not a grave bug. Please do not abuse severities. Ondřej -- Ondřej Surý > On 6 Oct 2018, at 01:23, Piotr Jurkiewicz > wrote: > > Package: php7.3-mysql > Version: 7.3.0~rc2-2 > Severity: grave > > After update to 7.3.0~rc2-2 (sid), mysqli extension

Bug#910409: wayland-protocols: Can't use second monitor via HDMI

2018-10-05 Thread Pavlo Solntsev
Package: wayland-protocols Version: 1.16-1 Severity: normal Dear Maintainer, I am not sure what package name I should use for this report. Today (Oct. 5, 22:40T+6) I updated my system debian testing and my external monitor stop working. In my xrandr output I see only one monitor Screen 0:

Bug#910311: elpy FTBFS randomly: test elpy-promise-wait-should-return-early-for-resolved-promise fails

2018-10-05 Thread Nicholas D Steeves
Update: I just tried packaging elpy-1.2.5 and `elpy-promise-wait-should-return-early-for-resolved-promise` failed in 4/10 builds (failed on 1,3,6,9). So something changed in sid between the 4th of September and now. On the upside, this means I will be able to get a debug shell tomorrow and

Bug#909847: sbuild: fails early with “chown: invalid user: 'sbuild:sbuild'”

2018-10-05 Thread Johannes Schauer
Hi Ben, Quoting Ben Finney (2018-10-06 03:39:12) > On 29-Sep-2018, Ben Finney wrote: > > Package: sbuild > > $ getent passwd sbuild > > sbuild:x:126:136:Debian source builder,,,:/var/lib/sbuild:/bin/bash > > $ getent group sbuild > > sbuild:x:136:bignose > > Prompted by a suggestion to try

Bug#910360: debbugs: get_bug_log SOAP operation truncates message

2018-10-05 Thread Don Armstrong
Control: severity -1 wishlist Control: retitle -1 provide all mime attachments in get_bug_log On Fri, 05 Oct 2018, Michael Albinus wrote: > This bug has been reported to the GNU debbugs server, see > https://debbugs.gnu.org/32941>: > > The get_bug_log operation of the SOAP API truncates some

Bug#910311: elpy FTBFS randomly: test elpy-promise-wait-should-return-early-for-resolved-promise fails

2018-10-05 Thread Nicholas D Steeves
Control: forwarded -1 https://github.com/jorgenschaefer/elpy/issues/1477 Hi Helmut, On Thu, Oct 04, 2018 at 07:34:31PM +0200, Helmut Grohne wrote: > Source: elpy > Version: 1.24.0-1 > Severity: serious > Tags: ftbfs > > elpy fails to build from source randomly. A build log contains: I'm aware

Bug#907268: fix lirc

2018-10-05 Thread Kees Cook
tag 907268 patch thanks The attached patch fixes LIRC for me... -- Kees Cook@debian.org diff -Nru xine-ui-0.99.9/debian/changelog xine-ui-0.99.9/debian/changelog --- xine-ui-0.99.9/debian/changelog 2017-01-21 19:12:02.0 -0800 +++

Bug#910408: xrandr fails to configure monitor without first switching to a VT

2018-10-05 Thread Ryan Kavanagh
Package: x11-xserver-utils Version: 7.7+8 Severity: normal I have two monitors (work and home) that connect to my laptop over display port. At work, I am able to directly configure my external monitor using the command xrandr \ --output HDMI-2 --mode 1600x1200 --pos 0x0 --rotate left

Bug#862649: Dead upstream

2018-10-05 Thread Chris Knadle
I was investigating this orphaned package in relation to it being a dependency for Logcheck, and unfortunately the inactive maintainer is also the upstream author of mime-construct which was last updated 2010-06-23. That can be seen at the following link: http://www.argon.org/~roderick/

Bug#910407: openjfx: Need for openjfx for both OpenJDK8 and OpenJDK11

2018-10-05 Thread Norbert Preining
Package: openjfx Version: 11+26-1 Severity: normal Hi dear Java packagers, thanks a lot for your hard work with these difficult packages. I recently found that sid now carries openjfx in version 11, which made the programs I am developing with ScalaFX stop working. ScalaFX uses JavaFX8 and

Bug#909847: sbuild: fails early with “chown: invalid user: 'sbuild:sbuild'”

2018-10-05 Thread Ben Finney
On 29-Sep-2018, Ben Finney wrote: > Package: sbuild > $ getent passwd sbuild > sbuild:x:126:136:Debian source builder,,,:/var/lib/sbuild:/bin/bash > $ getent group sbuild > sbuild:x:136:bignose Prompted by a suggestion to try running those commands *in* the chroot, I get this failure instead:

Bug#910406: ssh-add: ignores IdentityAgent configuration value

2018-10-05 Thread Paul Wise
Package: openssh-client Version: 1:7.8p1-1 Severity: normal File: /usr/bin/ssh-add ssh-add appears to ignore the IdentityAgent configuration value and only uses the SSH_AUTH_SOCK environment variable to determine which agent to use. I wanted to make ssh-add use the GnuPG SSH agent. $ ssh-add

Bug#910404: gcr: please add gcr-ssh-askpass to the alternatives system for ssh-askpass

2018-10-05 Thread Paul Wise
Package: gcr Version: 3.28.0-1 Severity: wishlist File: /usr/lib/gcr/gcr-ssh-askpass Please add gcr-ssh-askpass to the alternatives system for ssh-askpass so that GNOME 3 users can use an SSH askpass implementation that integrates with GNOME better than the alternative implementations. I

Bug#910405: nheko: empty device name causes issue in e2ee chat room

2018-10-05 Thread ghost
Package: nheko Version: 0.6.1-1 Severity: normal Dear Maintainer, * What led up to the situation? If the device name is empty in the login process (which does not warn anything when the field is left as is), the nheko session will not show up in other clients (riot.im in my case).

Bug#909000: Enigmail 2.0 needed in Stretch after Thunderbird 60 upload

2018-10-05 Thread Daniel Kahn Gillmor
On Tue 2018-10-02 14:31:13 -0500, Daniel Kahn Gillmor wrote: > I'm now working on figuring out what updates are needed to GnuPG in > debian stable (stretch) to be able to get the enigmail test suite to > pass. Hopefully they'll be minor, and comprehensible. Turns out there were a half-dozen

Bug#910403: x2goserver: [INTL:pt] Portuguese translation - debconf messages

2018-10-05 Thread Américo Monteiro
Package: x2goserver Version: 4.1.0.2-2 Tags: l10n, patch Severity: wishlist Updated Portuguese translation for x2goserver's debconf messages Translator: Américo Monteiro Feel free to use it. For translation updates please contact 'Last Translator' -- Melhores cumprimentos/Best regards,

Bug#910110: aptitude: aptitude does not update libxapian30 during aptitude "self upgrade"

2018-10-05 Thread Olly Betts
On Fri, Oct 05, 2018 at 10:12:15PM +0100, Olly Betts wrote: > On Fri, Oct 05, 2018 at 06:46:52PM +0200, Sven Joachim wrote: > > Instead of shlibs.local, you probably want to generate > > libxapian30.shlibs - see dh_makeshlibs(1). > > Hmm, I thought I'd confirmed this was working, but I guess I

Bug#910344: libgssapi-krb5-2: conffiles not removed

2018-10-05 Thread Paul Wise
On Fri, 2018-10-05 at 19:28 -0500, Benjamin Kaduk wrote: > How is this not a dup of #868121 (with additional discussion linked > therefrom)? Apologies, I forgot about that bug and since it was closed I did not see any reason to submit the bug. I suggest keeping this one open and marking it

Bug#910402: Fails to determine partition uuid if /boot/efi is automounted

2018-10-05 Thread Michael Biebl
Package: refind Version: 0.11.2-1.1 Severity: important Hi, to minimize the risk of /boot/efi getting corrupted (being FAT32 and all), I use the following fstab entry: UUID=ABCD-1234 /boot/efi vfat umask=0077,x-systemd.automount,x-systemd.idle-timeout=60 0 1 This ensures,

Bug#881395: gedit-plugin-dashboard: traceback when opening new tabs: AttributeError: 'Image' object has no attribute 'get_children'

2018-10-05 Thread Jeremy Bicha
On Sat, Nov 11, 2017 at 4:45 AM Paul Wise wrote: > Package: gedit-plugin-dashboard > Version: 3.22.0-3 > Severity: serious > File: /usr/lib/x86_64-linux-gnu/gedit/plugins/dashboard/__init__.py > Usertags: crash > > When I open a new tab in gedit, I get this traceback on the terminal > where I ran

Bug#910344: libgssapi-krb5-2: conffiles not removed

2018-10-05 Thread Benjamin Kaduk
On Fri, Oct 05, 2018 at 08:01:04AM +0800, Paul Wise wrote: > > The recent upgrade did not deal with obsolete conffiles properly. > Please use the dpkg-maintscript-helper support provided by > dh_installdeb to remove these obsolete conffiles on upgrade. > >

Bug#910401: ranger: [Request] Compile Ranger with python3

2018-10-05 Thread Austin LaBerta
Package: ranger Version: 1.8.1-0.2 Severity: wishlist Tags: upstream Dear Maintainer, * What led up to the situation? I had checked the version and had noted you had compiled the application using python2. * What outcome did you expect instead? Programs that do not require python2

Bug#910326: parted: include sys/sysmacros.h missing for major(), minor()

2018-10-05 Thread Colin Watson
On Thu, Oct 04, 2018 at 03:47:25PM -0400, Mathieu Trudel-Lapierre wrote: > parted 3.2-21 FTBFS in latest test rebuild on ubuntu. major() and minor() > macros are being used without include sys/sysmacros.h, leading to undefined > symbols at linking for these macros. > > In Ubuntu, the attached

Bug#910400: mysqli stopped connecting to MySQL servers using caching_sha2_password

2018-10-05 Thread Piotr Jurkiewicz
Package: php7.3-mysql Version: 7.3.0~rc2-2 Severity: grave After update to 7.3.0~rc2-2 (sid), mysqli extension stopped working. It can't connect to MySQL server, giving the following error message: PHP message: PHP Warning: mysqli::__construct(): The server requested authentication method

Bug#910399: minissdpd: [INTL:pt] Portuguese translation - debconf messages

2018-10-05 Thread Américo Monteiro
Package: minissdpd Version: 1.5.20180223-3 Tags: l10n, patch Severity: wishlist Updated Portuguese translation for minissdpd's debconf messages Translator: Américo Monteiro Feel free to use it. For translation updates please contact 'Last Translator' -- Melhores cumprimentos/Best regards,

Bug#910398: stretch-pu: package gnupg2/2.1.18-8~deb9u3

2018-10-05 Thread Daniel Kahn Gillmor
Package: release.debian.org User: release.debian@packages.debian.org X-Debbugs-Cc: pkg-gnupg-ma...@lists.alioth.debian.org, secur...@debian.org Usertags: pu Tags: stretch Severity: normal Control: affects -1 src:gnupg2 enigmail Control: block 909000 -1 I'd like to update the version of GnuPG

Bug#887485: libgd2: diff for NMU version 2.2.5-4.1

2018-10-05 Thread Salvatore Bonaccorso
Control: tags 887485 + patch Control: tags 887485 + pending Control: tags 906840 + pending Control: tags 906886 + pending Dear maintainer, I've prepared an NMU for libgd2 (versioned as 2.2.5-4.1) and uploaded it to DELAYED/5. Please feel free to tell me if I should delay it longer. I'm aware

Bug#910397: Tab crashes while connecting webrtc video conferencing

2018-10-05 Thread Paul van der Vlis
Package: firefox-esr Version: 60.2.2esr-1~deb9u1 When I connect with webrtc microphone and webcam the Firefox tab crashes when the second person connects. Both sides are crashing. This is since version 60, before no problem. Also no problem with Chromium. Easy to test without account with e.g.:

Bug#874849: O: cortina -- Wallpaper changer for gnome

2018-10-05 Thread Jeremy Bicha
Control: severity 874849 serious > First of all, thanks for your work in Debian and previous package maintenance > for cortina in Debian. Given the fact that upstream is really dead, Qt4 > Removal is slowly approaching and that alternatives (some gnome shell > extensions do float around) exist to

Bug#910110: aptitude: aptitude does not update libxapian30 during aptitude "self upgrade"

2018-10-05 Thread Olly Betts
On Fri, Oct 05, 2018 at 06:46:52PM +0200, Sven Joachim wrote: > Instead of shlibs.local, you probably want to generate > libxapian30.shlibs - see dh_makeshlibs(1). Hmm, I thought I'd confirmed this was working, but I guess I checked xapian-tools which the shlibs.local would work with. Thanks for

Bug#902260: fixed in modemmanager 1.8.2-1

2018-10-05 Thread Michael Biebl
On Fri, 05 Oct 2018 16:19:21 + Mathieu Trudel-Lapierre wrote: > modemmanager (1.8.2-1) unstable; urgency=medium > . >* New upstream version 1.8.2. (Closes: #910013) (Closes: #900907) >* debian/modemmanager.postrm: don't unmask ModemManager on postrm; we were > unmasking

Bug#910396: stretch-pu: package libgd2/2.2.4-2+deb9u3

2018-10-05 Thread Moritz Muehlenhoff
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Two minor security issues fixed in libgd2, not worth a DSA. Debdiff below. Cheers, Moritz diff -Nru libgd2-2.2.4/debian/changelog libgd2-2.2.4/debian/changelog ---

Bug#910395: mediathekview: No longer works due to "missing" openjfx

2018-10-05 Thread Hilko Bengen
Package: mediathekview Version: 13.0.6-1 Severity: serious Dear Maintainer, when trying to start mediathekview, I get the following: , | $ mediathekview | === | JavaFX wurde nicht im klassenpfad gefunden. | Stellen Sie sicher, dass Sie ein Java JRE

Bug#910393: RFP: node-husky -- Git hooks made easy

2018-10-05 Thread Jeff Cliff
Package: wnpp Severity: wishlist * Package name: node-husky Version : 4378d180b7 Upstream Author : typicode ( @typic...@twitter.com ) * URL : https://notabug.org/themusicgod1/husky * License : MIT Programming Lang: javascript Description : Git hooks

Bug#910394: sqlcipher: Crashes on running any SQL Statement

2018-10-05 Thread Chris
Package: libsqlcipher0 Version: 3.2.0-2 Severity: grave File: sqlcipher Justification: renders package unusable Dear Maintainer, * What led up to the situation? Installing the package using apt, delivers a version that does not work. However, if compiled from source, it works perfectly.

Bug#910392: fontconfig: fc-cache regeneration fails unless EPOC time is set.

2018-10-05 Thread Don Alex
Package: fontconfig Version: 2.13.1-1 Severity: important Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? apt upgrade. Regenerating fonts breaks other configurations like libreoffice etc. * What exactly did

Bug#909602: [Pkg-mailman-hackers] Bug#909602: Bug#909602: Bug#909602: mailmanclient causes python3-mailman-hyperkitty and mailman3-web to fail to install in buster

2018-10-05 Thread Pierre-Elliott Bécue
Le vendredi 05 octobre 2018 à 11:30:03+0200, Pierre-Elliott Bécue a écrit : > Le jeudi 04 octobre 2018 à 08:57:52+0200, Paul Gevers a écrit : > > Hi Pierre, > > > > On 04-10-18 00:47, Pierre-Elliott Bécue wrote: > > > Would you prefer if we push a fix or if we wait for mailman-hyperkitty > > >

Bug#910390: libpdfbox-java: CVE-2018-11797

2018-10-05 Thread Salvatore Bonaccorso
Source: libpdfbox-java Version: 1:1.8.12-1 Severity: important Tags: security upstream Control: found -1 1:1.8.15-1 Control: clone -1 -2 Control: reassign -2 src:libpdfbox2-java 2.0.11-1 Control: retitle -2 libpdfbox2-java: CVE-2018-11797 Hi, The following vulnerability was published for

Bug#909677: aisleriot: Consider temporarily removing aisleriot/armel to deal with testing migration blocking

2018-10-05 Thread Jeremy Bicha
On Wed, Sep 26, 2018 at 11:51 AM Boyuan Yang wrote: > As discussed at https://lists.debian.org/debian-arm/2018/09/msg00058.html , it > seems that one of aisleriot's build dependency, guile-2.2-dev, will not be > available in Debian on armel for quite a while. To prevent from blocking > package

Bug#910389: RFP: golang-notabug-themusicgod1-gosigar -- Gathers system and per process statistics

2018-10-05 Thread Jeff Cliff
Package: wnpp Severity: wishlist * Package name: golang-notabug-themusicgod1-gosigar Version : 37f05ff46f Upstream Author : Andrew "andrewkroh" Kroh * URL : https://notabug.org/themusicgod1/gosigar * License : Apache-2.0 Programming Lang: Go Description

Bug#910388: please allow to use "external viewers" for n-way diffs

2018-10-05 Thread Tomas Pospisek
Package: dirdiff Version: 2.1-7.2 Severity: wishlist Tags: patch It'd be nice if it'd be possible to also view n-way diffs in external viewers (here: in vimdiff). That's just what the attached patch does: if set then the configured external viewer is also used for n-way diffs. There's one aspect

Bug#910387: pycode-browser: FTBFS (endless loop)

2018-10-05 Thread Santiago Vila
Package: src:pycode-browser Version: 1:1.02+git20171115-1 Severity: serious Tags: ftbfs patch Dear maintainer: I tried to build this package in buster but the build entered an endless loop and did never end. The endless loop also happens here:

Bug#910386: [patch]: fix compiler warnings wrt unistd functions (read, close)

2018-10-05 Thread Tomas Pospisek
Package: dirdiff Version: 2.1-7.2.tpo Severity: minor Tags: patch The attached patch fixes this: filecmp.c: In function ‘FileCmpCmd’: filecmp.c:278:2: warning: implicit declaration of function ‘close’ [-Wimplicit-function-declaration] close(f1); ^ filecmp.c:293:11:

Bug#910377: Inhibit reboot/shutdown if dpkg is running

2018-10-05 Thread Michael Biebl
Am 05.10.18 um 18:36 schrieb Laurent Bigonville: > Package: systemd > Version: 239-10 > Severity: wishlist > > Hi, > > Not sure if this should be reported here or in dpkg > > Shouldn't it be intresting to add a hook in dpkg to inhibit the > reboot/shutdown of the machine while packages are

Bug#910377: Inhibit reboot/shutdown if dpkg is running

2018-10-05 Thread Michael Biebl
Am 05.10.18 um 21:28 schrieb Michael Biebl: > That said, also keep in mind, that the inhibit mechanism does not work > if the reboot request is triggered by privileged users [1], e.g. if you > trigger a reboot as root, an existing inhibitor blocks are ignored. > [1]

Bug#909193: mpv shows artifacts when playing IPTV rtp:// streams

2018-10-05 Thread Pavel Kreuzt
Problem is I use private streams from my ISP/TV provider and they are not visible out of customer home network. But as long as I can tell the problem is similar to this: https://github.com/mpv-player/mpv/issues/1637 Also the ffmpeg pipe seems to workaround the problem with: ffmpeg -i

Bug#910385: RFP: golang-github-openconfig-gnmi -- gRPC Network Management Interface

2018-10-05 Thread Jeff Cliff
Package: wnpp Severity: wishlist * Package name: notabug-themusicgod1-gnmi Version : fc15ea7f1 Upstream Author : Andrew Lytvynov ( @a...@github.com ) * URL : https://notabug.org/themusicgod1/gnmi * License : Apache-2.0 Programming Lang: go Description :

Bug#900240: Upstream fixes of cmake for GNU/Hiurd

2018-10-05 Thread Svante Signell
Hello Samuel, Time to make an NMU of cmake. The needed patches are now committed upstream, see below: From: Brad King Subject: Re: CMake | Port to GNU Hurd (#18337) AFAIK the only changes were 3c0bfb59 and c990649b. The former is already in 3.12.3. The latter will be in 3.13.

Bug#910384: libhandy-dev: Missing dependency on libgtk-3-dev

2018-10-05 Thread Jeremy Bicha
Package: libhandy-0.0-dev Version: 0.0.3-1 Severity: serious I see that libhandy-0.0.pc has this line: Requires: gtk+-3.0 That means that libhandy-0.0-dev needs a dependency on libgtk-3-dev By the way, GNOME 3.32 components might start depending on libhandy. (Buster will include GNOME 3.30 so

Bug#910383: RM: spdy-indicator/2.2-1

2018-10-05 Thread Moritz Muehlenhoff
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: rm Broken with Firefox ESR 60, filed for removal from unstable in 910382. Cheers, Moritz

Bug#910104: hypre: autopkgtest times out most of the times

2018-10-05 Thread Paul Gevers
Dear Drew, On 05-10-18 20:20, Drew Parsons wrote: > Hi Paul, I replied to Bug#910104 but not sure if it forwarded to you. No, bug submitters are not automatically subscribed, so you always need to CC them. > Is > it possible to trigger debci the test the new hypre in testing? You can do that

Bug#910382: RM: spdy-indicator -- RoQA; broken with current Firefox, dead upstream

2018-10-05 Thread Moritz Muehlenhoff
Package: ftp.debian.org Severity: normal Please remove spdy-indicator. It's broken with current Firefox and the maintainer agreed to it's removal in #906826. Cheers, Moritz

Bug#863892: Splitting the zziplib vulnerabilities bug into two

2018-10-05 Thread Moritz Mühlenhoff
retitle 854727 zziplib: Update Homepage field severity 854727 normal thanks On Sat, May 26, 2018 at 08:49:00AM +, Niels Thykier wrote: > On Thu, 1 Jun 2017 19:37:10 +0300 Adrian Bunk wrote: > > clone 854727 -1 > > retitile -1 zziplib: unsuitable for future stable releases? > > tags -1 -

Bug#905411: New list creation: debian-fundraising

2018-10-05 Thread Louis-Philippe Véronneau
On 2018-10-04 1:28 p.m., Alexander Wirt wrote: > On Wed, 03 Oct 2018, Louis-Philippe Véronneau wrote: > >> On 2018-10-03 1:30 p.m., Hanno 'Rince' Wagner wrote: >>> Hi Louis-Philippe! >>> >>> On Wed, 29 Aug 2018, Louis-Philippe Véronneau wrote: >>> Any news regarding the creation of this ML?

Bug#910381: RFP: node-chai-as-promised -- Chai as Promised extends Chai with a fluent language for asserting facts about promises.

2018-10-05 Thread Jeff Cliff
Package: wnpp Severity: wishlist * Package name: node-chai-as-promised Version : 7.1.1 Upstream Author : * URL : https://www.npmjs.com/package/chai-as-promised * License : WTFPL Programming Lang: javascript Description : Extends Chai with a fluent language for asserting

Bug#910327: Fwd: Bug#910327: RFS: javapoet/1.11.1-1 [ITP]

2018-10-05 Thread Miroslav Kravec
Hello Tony, can you please take a look at it again? It can be downloaded from mentors, using same command (URL): dget -x https://mentors.debian.net/debian/pool/main/j/javapoet/javapoet_1.11.1-1.dsc I have explicitly listed files copyrighted by Google in debian/copyright. And, I have left

Bug#910370: [mutter] mutter/gnome-shell 3.30.0 crashed when using touchscreen and wacom pen

2018-10-05 Thread Simon McVittie
Control: forwarded -1 https://gitlab.gnome.org/GNOME/mutter/issues/294 Control: tags -1 + fixed-upstream On Fri, 05 Oct 2018 at 16:22:03 +0200, Christian Engwer wrote: > There is a patch available, which is part of mutter 3.30.1: > * >

Bug#910380: package makemime separately

2018-10-05 Thread Vincent Breitmoser
Package: maildrop Version: 2.9.3-2 Severity: wishlist Hi there, I found makemime to be a very useful tool, particularly in combination with mblaze, but do not actually use maildrop itself or any of the other tools in the package. Given that makemime is easily complex to stand on its own, but has

Bug#887565: RFS: python-vlc/3.0.102-1 [ITP]

2018-10-05 Thread Bastian Germann
Hi, I am looking for a sponsor for my package "python-vlc" * Package name: python-vlc Version : 3.0.102-1 Upstream Author : Olivier Aubert * URL : http://wiki.videolan.org/PythonBinding * License : LGPL-2.1+ Section : python It builds those

Bug#910379: inkscape crashes when resizing elements with snapping on

2018-10-05 Thread Andrej Shadura
Package: inkscape Version: 0.92.3-3 Severity: important -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 I’ve repeatedly experienced crashes when trying to resize elements in a drawing while having certain snapping modes on. One of the most typical examples was trying to draw a strictly vertical

Bug#910378: mailman: Please include the List-Id header on subscription confirmation mails

2018-10-05 Thread Chris Lamb
Package: mailman Version: 1:2.1.29-1 Severity: wishlist Hi, I just subscribed to a bunch of lists. Could you make the "You have added to the subscriber list of […]" mails include the relevant List-ID header? That would mean I can setup filing right away instead of being confused by the first

Bug#910110: aptitude: aptitude does not update libxapian30 during aptitude "self upgrade"

2018-10-05 Thread Sven Joachim
Control: found -1 1.4.7-3 On 2018-10-05 03:08 +0100, Olly Betts wrote: > On Tue, Oct 02, 2018 at 11:10:46PM +0200, Sven Joachim wrote: >> Indeed, but that needs to be fixed in libxapian30's shlibs file. > > Fixed there by xapian-core 1.4.7-3. Unfortunately it is not really fixed: , | $ cat

Bug#890819: packagekit: Update while booting always fails

2018-10-05 Thread Laurent Bigonville
On Mon, 19 Feb 2018 11:07:18 + Joel Cross wrote: > > Dear Maintainer, Hello, > > I update my (sid) distro on roughly a weekly basis using pkcon (packagekit- > tools). The command I use is as follows: > sudo apt update && pkcon update -d && pkcon offline-trigger > I then proceed to

Bug#909718: debian-live: bootia32.efi + UEFI32 + SecureBoot => certificate error

2018-10-05 Thread Steve McIntyre
On Thu, Sep 27, 2018 at 08:45:17AM +0200, beta-tester wrote: >Package: debian-live >Severity: normal > >Dear Maintainer, > >i have a tablet/netbook with: > >- 32bit UEFI (only), >- SecureBoot enabled, >- 32/64bit CPU, >- Windows 10 Pro (32bit) > >i can't use the live-dvd 64bit, 32bit version nor

Bug#910377: Inhibit reboot/shutdown if dpkg is running

2018-10-05 Thread Laurent Bigonville
Package: systemd Version: 239-10 Severity: wishlist Hi, Not sure if this should be reported here or in dpkg Shouldn't it be intresting to add a hook in dpkg to inhibit the reboot/shutdown of the machine while packages are being updated/installed? Kind regards, Laurent Bigonville --

Bug#910376: mat2: Incomplete debian/copyright?

2018-10-05 Thread Chris Lamb
Source: mat2 Version: 0.4.0-1 Severity: serious Justication: Policy 12.5 X-Debbugs-CC: Georg Faerber , ftpmas...@debian.org Hi, I just ACCEPTed mat2 from NEW but noticed it was missing attribution in debian/copyright for at least a certain "Marie Rose". This is in no way exhaustive so please

Bug#910375: puppet-module-barbican: Incomplete debian/copyright?

2018-10-05 Thread Chris Lamb
Source: puppet-module-barbican Version: 13.1.0-1 Severity: serious Justication: Policy 12.5 X-Debbugs-CC: Thomas Goirand , ftpmas...@debian.org Hi, I just ACCEPTed puppet-module-barbican from NEW but noticed it was missing attribution in debian/copyright for at least Hewlett Packard. This is

Bug#910374: puppet-module-barbican: Please remove unnecessary overrides

2018-10-05 Thread Chris Lamb
Source: puppet-module-barbican Version: 13.1.0-1 Severity: important X-Debbugs-CC: Thomas Goirand , ftpmas...@debian.org Hi, I just ACCEPTed puppet-module-barbican from NEW but was wondering if you could please remove the unnecessary overrides as previously discussed. Regards, --

Bug#910373: gnucash: various UI issues with arrows keys and text selection

2018-10-05 Thread Vincent Lefevre
Package: gnucash Version: 1:3.3-1 Severity: important Tags: upstream Forwarded: https://bugs.gnucash.org/show_bug.cgi?id=796875 GnuCash has various UI issues with arrows keys and text selection. See: https://bugs.gnucash.org/show_bug.cgi?id=796875 I also reported

Bug#910372: RM: mozjs60 [s390x] -- ROM; built but doesn't work

2018-10-05 Thread Simon McVittie
Package: ftp.debian.org Severity: normal X-Debbugs-Cc: debian-gtk-gn...@lists.debian.org Control: block 906016 by -1 mozjs60 60.1.0-1 was built on s390x, but only because build-time test failures were ignored: it doesn't actually seem to work, with around 80% of test-cases segfaulting (#909536).

Bug#910269: pysnmp4 source is inconsistent

2018-10-05 Thread Vincent Bernat
❦ 4 octobre 2018 12:08 +0200, Michal Arbet : > Yes , diff looks big , just for sure , ls -la INSTALLED_PATH of pysnmp4 > > root@sid-builder-pbuilder:/build/python-pysnmp4# ls -la > /usr/lib/python3/dist-packages/pysnmp/hlapi/ > total 32 > drwxr-xr-x 5 root root 4096 Oct 4 09:56 . > drwxr-xr-x

Bug#910104: hypre: autopkgtest times out most of the times

2018-10-05 Thread Drew Parsons
Source: hypre Followup-For: Bug #910104 The autopkgtest timeouts are disappointing to be sure. Especially since they passed fine in testing. That suggests the new openmpi3 versions might be at fault rather than hypre. hypre is not the only package with openmpi trouble at the moment. Is it

Bug#909288: transition: kdepim 18.08

2018-10-05 Thread Emilio Pozuelo Monfort
Hi, kmailtransport and other packages are in bd-uninst and outdated on several architectures because they need libkgapi which is blocked on the lack of qtwebengine5. So either one of those get an optional build-dep so things can build, or we'll need partial removals from the affected

Bug#905889: transition: gdbm

2018-10-05 Thread Emilio Pozuelo Monfort
Control: tags -1 confirmed On 04/10/2018 03:40, kact...@gnu.org wrote: > > [2018-10-02 09:38] Emilio Pozuelo Monfort >> part text/plain 567 >> On 11/08/2018 09:40, Dmitry Bogatov wrote: >>> Package: release.debian.org >>> Severity: normal >>> User:

Bug#910371: stretch-pu: package lxcfs/2.0.7-1.1

2018-10-05 Thread Michael Banck
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Hi, I would like to upload a lxcfs NMU to stable, fixing Bug #885542. This would be useful for ci.debian.net autopkgtest, as ci.debian.net currenlty runs lxc from stable. I have

Bug#910237: googletest breaks mathicgb autopkgtest: invalid cast

2018-10-05 Thread Torrance, Douglas
Control: forwarded -1 https://github.com/Macaulay2/mathicgb/issues/12 On 10/05/2018 09:40 AM, Paul Gevers wrote: > Control: tags -1 ftbfs > Control: severity -1 serious > Control: retitle -1 googletest causes mathicgb to FTBFS: invalid cast > > On 05-10-18 05:04, Steve Robbins wrote: >>>

Bug#887565: ITP: retitle 887565 ITP: python-vlc -- Python bindings for VLC

2018-10-05 Thread Bastian Germann
I am currently working on the package at https://salsa.debian.org/python-team/modules/python-vlc

Bug#906317: dgit: consider demoting git-buildpackage to recommends

2018-10-05 Thread Ian Jackson
Hector Oron writes ("Bug#906317: dgit: consider demoting git-buildpackage to recommends"): > As I understood, DSA team had some concerns for security reasons since > porterboxes are meant to be used to debug package build failures and > not used for anything else, so it is much preferred a 'push'

Bug#906317: dgit: consider demoting git-buildpackage to recommends

2018-10-05 Thread Hector Oron
Hello, Missatge de Ian Jackson del dia dv., 5 d’oct. 2018 a les 14:50: > Ian Jackson writes ("Re: Bug#906317: dgit: consider demoting git-buildpackage > to recommends"): > > So I'm inclined to think that the subset of dgit's functionality which > > is useable without gbp pq is too small for

Bug#910370: [mutter] mutter/gnome-shell 3.30.0 crashed when using touchscreen and wacom pen

2018-10-05 Thread Christian Engwer
Package: mutter Version: 3.30.0-1 Severity: normal Tags: patch --- Please enter the report below this line. --- mutter 3.30.0 contains a bug which causes gnome-shell to crash, when touching the touchscreen and using the wacom at the same time. Please see the following bugs reports at gnome and

Bug#790093: No TOFU for git server host key

2018-10-05 Thread Hector Oron
Hello Ian, Missatge de Ian Jackson del dia dv., 5 d’oct. 2018 a les 14:51: > > Ian Jackson writes ("No TOFU for git server host key"): > > I think now would be a good time to look at #790093 again. Would > > anyone from the DSA team with the requisite TLS knowledge be available > > to get

Bug#910273: severity of 910273 is important

2018-10-05 Thread Olivier Berger
severity 910273 important thanks I wasn't quite sure, but the impact is quite nasty, so raising severity in the hope someone more knowledgable has hints on the likeliness it may happen to anyone else in the next stable... Best regards, -- Olivier BERGER

Bug#827310: xul-ext-pwdhash from stable is not compatible to firefox-esr and gets disabled

2018-10-05 Thread Michal Politowski
Package: xul-ext-pwdhash Version: 1.7.4-1 Followup-For: Bug #827310 There appears to exist a webextension version 2.0 of PwdHash, which should work with current Firefox. https://addons.mozilla.org/en-GB/firefox/addon/pwdhash/ https://github.com/pwdhash/pwdhash-webextension -- Michał Politowski

Bug#910369: mk-build-deps: please deal sane with packages without build-deps

2018-10-05 Thread Joost van Baal-Ilić
Package: devscripts Version: 2.18.6 Severity: minor Tags: patch Hi, Running mk-build-deps for a package without Build-Depends or Build-Depends-Indep fields in its control file, here leads to mk-build-deps exiting non-succesfully and printing mk-build-deps: Unable to find build-deps for uruk .

Bug#904302: Whether vendor-specific patch series should be permitted in the archive [and 1 more messages]

2018-10-05 Thread Ian Jackson
Sam Hartman writes ("Bug#904302: Whether vendor-specific patch series should be permitted in the archive [and 1 more messages]"): > So imagine that Ubuntu and several other downstreams care more about > security and hardening than they do about backward compatibility and > they choose to change a

Bug#910237: googletest breaks mathicgb autopkgtest: invalid cast

2018-10-05 Thread Paul Gevers
Control: tags -1 ftbfs Control: severity -1 serious Control: retitle -1 googletest causes mathicgb to FTBFS: invalid cast On 05-10-18 05:04, Steve Robbins wrote: >> Currently this regression is contributing to the delay of the migration >> of googletest to testing [1]. Due to the nature of this

  1   2   >